{
  "compilerOptions": {
    "target": "esnext",
    "module": "esnext",
    "strict": true,
    "jsx": "preserve",
    "importHelpers": true,
    "moduleResolution": "node",
    "esModuleInterop": true,
    "allowSyntheticDefaultImports": true,
    "sourceMap": true,
    "skipLibCheck": true,
    "baseUrl": ".",
    "types": [
      "webpack-env",
      "@dcloudio/types",
      "miniprogram-api-typings",
      "@types/wechat-miniprogram"
    ],
    "paths": {
      "@/*": [
        "*"
      ],
      "@/lib/*": [
        "lib/*"
      ],
      "@/common/*": [
        "common/*"
      ]
    },
    "lib": [
      "esnext",
      "dom",
      "dom.iterable",
      "scripthost"
    ]
  },
  "include": [
    "api/**/*.ts",
    "common/**/*.ts",
    "store/**/*.ts",
    "mixins/**/*.ts",
    "lib/**/*.js",
    "pages/**/*.ts",
    "pages/**/*.vue",
    "*.ts",
    "*.vue"
  ],
  "exclude": [
    "node_modules"
  ]
}